1. Configuration Related
Realsee Open API
  • Open API
    • Permission Interface
      • Get access_token
    • Metadata Related
      • Short Link Code Parsing
      • Combine VR Data
    • Viewing Service
      • Create Viewing Room (Open Platform Version)
      • Get Room Ticket
      • Get Voice Room Signature Interface
      • Get Viewing Room Details
    • Basic Data
      • VR Basic Data
      • Homepage Basic Data
      • Project List Data
      • VR point collection information
    • Edit Data
      • Space Related
        • Route guidance (old)
        • Hot data
        • Ruler data
        • Explain data
        • Point navigation data
        • Floor plan plug-in related data
        • Point video data
        • Custom ruler data
        • Label data
        • Route guidance
        • Get floor perspective
        • Get a list of surveillance videos
        • Hot data_V2
        • Hot data_V4
        • Get the entry door data
        • Entry door data interface
        • Get tag details
        • Point navigation data (new)
        • Tag list
        • Route planning
      • Business Related
        • VR introduction data
        • Extended information details (PDF&image file list)
        • Get PDF file preview link
        • Personal business card information
        • Get page component data
      • Configuration Related
        • VR configuration data
          GET
        • Source dimension introduction
          GET
        • Route guidance personalized configuration
          GET
        • Tag configuration
          GET
  • Schemas
    • Schemas
      • Work Data
      • Account description
      • Hot spot tag data
      • User details
      • Hotspot tag response data body
      • Account details
      • Manual ruler data
      • Point navigation data
      • Point video data
      • Label data
      • Route guidance data
      • Short-link coding details
      • Home screen data
      • Gateway response body
  1. Configuration Related

Tag configuration

GET
https://app-gateway.realsee.ai/open/v3/custom/hot/config

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app-gateway.realsee.ai/open/v3/custom/hot/config?resource_code=NOGDEB2jCN1YliAq6W' \
--header 'Authorization: '

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "request_id": "string",
    "trace_id": "string",
    "business_code": "string",
    "osi_request_id": "string",
    "code": 0,
    "status": "string",
    "data": {
        "MediaModel": {
            "modelOptions": [
                {
                    "defaultImageUrl": "string",
                    "iconUrl": "string",
                    "mediaPosition": [
                        [
                            0
                        ]
                    ],
                    "modelUrl": "string",
                    "previewUrl": "string",
                    "size": "string",
                    "type": "string"
                }
            ]
        },
        "MediaPlane": {
            "pointIconOptions": [
                "string"
            ]
        },
        "Sticker": {
            "pointIconOptions": [
                {
                    "steps": 0,
                    "type": "string",
                    "url": "string"
                }
            ]
        },
        "audio": {
            "pointIconOptions": [
                "string"
            ]
        },
        "common": {
            "onlyCurrentPanoVisible": true
        },
        "image": {
            "pointIconOptions": [
                {
                    "size": "string",
                    "steps": 0,
                    "type": "string",
                    "url": "string"
                }
            ],
            "xzPointIconOptions": [
                {
                    "img": "string",
                    "name": "string",
                    "type": "string"
                }
            ]
        },
        "marketing": {
            "autoUnfold": true,
            "headerPictureOptions": [
                {
                    "type": "string",
                    "url": "string"
                }
            ],
            "keepFold": true,
            "pointIconOptions": [
                {
                    "size": "string",
                    "steps": 0,
                    "type": "string",
                    "url": "string"
                }
            ]
        },
        "newvrlink": {
            "onlyCurrentPanoVisible": true,
            "pointIconOptions": [
                {
                    "steps": 0,
                    "type": "string",
                    "url": "string"
                }
            ]
        },
        "normal": {
            "pointIconOptions": [
                {
                    "size": "string",
                    "steps": 0,
                    "type": "string",
                    "url": "string"
                }
            ]
        },
        "panolink": {
            "onlyCurrentPanoVisible": true,
            "pointIconOptions": [
                {
                    "steps": 0,
                    "type": "string",
                    "url": "string"
                }
            ]
        },
        "urllink": {
            "pointIconOptions": [
                {
                    "steps": 0,
                    "type": "string",
                    "url": "string"
                }
            ]
        },
        "video": {
            "pointIconOptions": [
                {
                    "size": "string",
                    "steps": 0,
                    "type": "string",
                    "url": "string"
                }
            ]
        }
    },
    "cost": 0
}
Previous
Route guidance personalized configuration
Next
FiveWork
Built with